com.genesyslab.wfm7.API.service.schedule712

## Class SchStateInfo

- java.lang.Object
- - com.genesyslab.wfm7.API.service.schedule712.SchStateInfo

- All Implemented Interfaces:
    java.io.Serializable

      public class SchStateInfo
      extends java.lang.Object
      implements java.io.Serializable

  Carries Schedule State descriptive information like name and short name
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private int` | `wmActivitySetId` An ID of `Activity Set` that `Activity` belongs to.
    `private boolean` | `wmFullDay` Specifies whether state is full-day or part-day.
    `private java.lang.String` | `wmName` Schedule State Name
    `private java.lang.String` | `wmShortName` Schedule State Short Name
    `private int` | `wmStateId` State ID, identifies Schedule State togather with "wmStateType".
    `private int` | `wmStateType` State type `ESchStateType`
    `private int` | `wmTradeRule` Specifies trade rule of schedule state.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchStateInfo()`
    `SchStateInfo(int wmStateType, int wmStateId, java.lang.String wmName, java.lang.String wmShortName, int wmActivitySetId, boolean wmFullDay, int wmTradeRule)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `getWmActivitySetId()` Gets the wmActivitySetId value for this SchStateInfo.
    `java.lang.String` | `getWmName()` Gets the wmName value for this SchStateInfo.
    `java.lang.String` | `getWmShortName()` Gets the wmShortName value for this SchStateInfo.
    `int` | `getWmStateId()` Gets the wmStateId value for this SchStateInfo.
    `int` | `getWmStateType()` Gets the wmStateType value for this SchStateInfo.
    `int` | `getWmTradeRule()` Gets the wmTradeRule value for this SchStateInfo.
    `int` | `hashCode()`
    `boolean` | `isWmFullDay()` Gets the wmFullDay value for this SchStateInfo.
    `void` | `setWmActivitySetId(int wmActivitySetId)` Sets the wmActivitySetId value for this SchStateInfo.
    `void` | `setWmFullDay(boolean wmFullDay)` Sets the wmFullDay value for this SchStateInfo.
    `void` | `setWmName(java.lang.String wmName)` Sets the wmName value for this SchStateInfo.
    `void` | `setWmShortName(java.lang.String wmShortName)` Sets the wmShortName value for this SchStateInfo.
    `void` | `setWmStateId(int wmStateId)` Sets the wmStateId value for this SchStateInfo.
    `void` | `setWmStateType(int wmStateType)` Sets the wmStateType value for this SchStateInfo.
    `void` | `setWmTradeRule(int wmTradeRule)` Sets the wmTradeRule value for this SchStateInfo.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### wmStateType

          private int wmStateType

      State type `ESchStateType`

    - #### wmStateId

          private int wmStateId

      State ID, identifies Schedule State togather with "wmStateType".

    - #### wmName

          private java.lang.String wmName

      Schedule State Name

    - #### wmShortName

          private java.lang.String wmShortName

      Schedule State Short Name

    - #### wmActivitySetId

          private int wmActivitySetId

      An ID of `Activity Set` that `Activity` belongs to. Used with SCH_STATE_ACTIVITY state type only.

    - #### wmFullDay

          private boolean wmFullDay

      Specifies whether state is full-day or part-day. (true/false)

    - #### wmTradeRule

          private int wmTradeRule

      Specifies trade rule of schedule state. `ECfgTradeRule`

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### SchStateInfo

          public SchStateInfo()

    - #### SchStateInfo

          public SchStateInfo(int wmStateType,
                      int wmStateId,
                      java.lang.String wmName,
                      java.lang.String wmShortName,
                      int wmActivitySetId,
                      boolean wmFullDay,
                      int wmTradeRule)

  - ### Method Detail

    - #### getWmStateType

          public int getWmStateType()

      Gets the wmStateType value for this SchStateInfo.
      Returns:
        wmStateType

    - #### setWmStateType

          public void setWmStateType(int wmStateType)

      Sets the wmStateType value for this SchStateInfo.
      Parameters:
        `wmStateType` -

    - #### getWmStateId

          public int getWmStateId()

      Gets the wmStateId value for this SchStateInfo.
      Returns:
        wmStateId

    - #### setWmStateId

          public void setWmStateId(int wmStateId)

      Sets the wmStateId value for this SchStateInfo.
      Parameters:
        `wmStateId` -

    - #### getWmName

          public java.lang.String getWmName()

      Gets the wmName value for this SchStateInfo.
      Returns:
        wmName

    - #### setWmName

          public void setWmName(java.lang.String wmName)

      Sets the wmName value for this SchStateInfo.
      Parameters:
        `wmName` -

    - #### getWmShortName

          public java.lang.String getWmShortName()

      Gets the wmShortName value for this SchStateInfo.
      Returns:
        wmShortName

    - #### setWmShortName

          public void setWmShortName(java.lang.String wmShortName)

      Sets the wmShortName value for this SchStateInfo.
      Parameters:
        `wmShortName` -

    - #### getWmActivitySetId

          public int getWmActivitySetId()

      Gets the wmActivitySetId value for this SchStateInfo.
      Returns:
        wmActivitySetId

    - #### setWmActivitySetId

          public void setWmActivitySetId(int wmActivitySetId)

      Sets the wmActivitySetId value for this SchStateInfo.
      Parameters:
        `wmActivitySetId` -

    - #### isWmFullDay

          public boolean isWmFullDay()

      Gets the wmFullDay value for this SchStateInfo.
      Returns:
        wmFullDay

    - #### setWmFullDay

          public void setWmFullDay(boolean wmFullDay)

      Sets the wmFullDay value for this SchStateInfo.
      Parameters:
        `wmFullDay` -

    - #### getWmTradeRule

          public int getWmTradeRule()

      Gets the wmTradeRule value for this SchStateInfo.
      Returns:
        wmTradeRule

    - #### setWmTradeRule

          public void setWmTradeRule(int wmTradeRule)

      Sets the wmTradeRule value for this SchStateInfo.
      Parameters:
        `wmTradeRule` -

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.